View Issue Details

IDProjectCategoryView StatusLast Update
0004303SymmetricDSImprovementpublic2020-05-26 14:48
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004303: Change default of dataloader.apply.changes.only to true to support better conflict resolution
DescriptionTo avoid row level conflicts, apply changes at the column level. This prevents a row change that is "swapped" between nodes, leaving each node with the other's change in an inconsistent state.

dataloader.apply.changes.only=true
Tagsconflict manager

Relationships

related to 0003972 closedelong Tables become out of sync due incorrect conflict detection (and/or invalid conflict resolution) 
related to 0004302 closedelong Conflict resolution NEWER_TIME based on capture time of row 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 804962a7

2020-03-06 14:11:17

admin

Details Diff
0004303: Change default of dataloader.apply.changes.only to true to
support better conflict resolution

0004303
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2020-03-06 10:39 elong New Issue
2020-03-06 10:39 elong Status new => assigned
2020-03-06 10:39 elong Assigned To => elong
2020-03-06 14:24 elong Status assigned => resolved
2020-03-06 14:24 elong Resolution open => fixed
2020-03-06 14:24 elong Fixed in Version => 3.12.0
2020-03-06 15:00 admin Changeset attached => SymmetricDS 3.12 804962a7
2020-03-12 08:57 elong Relationship added related to 0003972
2020-03-12 08:57 elong Relationship added related to 0004302
2020-03-12 08:58 elong Tag Attached: conflict manager
2020-05-26 14:48 elong Status resolved => closed